%% Laplace operator 
%% Daniel Ourinson, 10.03.2013
%% Alexey Ryabov, 2014

% This function contains the 2D discreet Laplace operator
% Combination of this function and the function SpatBoundary generates no flux boundary conditions. 
% This function alone assumes the periodic boundary conditions. 

function [X_Laplace] = Laplace2D_2x2(X,dx) 
    
    X_up = [X(2:end,:, :);X(1,:, :)]; % up-shift 
    X_left = [X(:,2:end, :),X(:,1, :)]; % left-shift 
    X_down = [X(end,:, :);X(1:(end-1),:, :)]; % down-shift 
    X_right = [X(:,end, :),X(:,1:(end-1), :)]; % right-shift  
    
    % the 2D discreet Laplace operator
    X_Laplace = ((X_left+X_right+X_down+X_up-4.*X)./(dx.^2));
end