%% Function in RCM (2x2)
%% Daniel Ourinson 9.03.2013
%% Alexey Ryabov   2014

% This function contains variables and formulas that stay the same before
% the for loop.

function [K,x,y] = SpatInitialize(R_eq, r, m, tsteps,dt,N,dx)

K = zeros(size(R_eq));
for ri = 1:size(R_eq, 2)
    K(:, ri) = R_eq(:, ri).*(r - m)./m; % half saturation values K
end



L = N*dx; % length of the square space
x = 0:dx:L; % x-axis of the square
y = 0:dx:L; % y-axis of the square

end